import { Build, Component, h, Prop } from "@stencil/core";
export class AppCampaign {
  componentDidLoad() {
    if (!(Build === null || Build === void 0 ? void 0 : Build.isBrowser))
      return;
  }
  render() {
    return [
      h("ion-content", { class: "ion-padding" },
        h("floodteam-title-bar", null,
          h("ion-router-link", { href: "/campaigns" }, "Campaigns"))),
      h("floodteam-navigation-footer", null),
    ];
  }
  static get is() { return "app-campaign"; }
  static get originalStyleUrls() { return {
    "$": ["app-campaign.css"]
  }; }
  static get styleUrls() { return {
    "$": ["app-campaign.css"]
  }; }
  static get properties() { return {
    "companyId": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "company-id",
      "reflect": false
    }
  }; }
}
